Instant Pay
Get Wallet Transactions
Retrieve wallet transactions for an employee or contractor by companyID and employeeID or contractorID.
GET
/
wallet
/
transactions
Get Wallet Transactions
curl --request GET \
--url https://api.zeal.com/wallet/transactions \
--header 'Authorization: <api-key>'import requests
url = "https://api.zeal.com/wallet/transactions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zeal.com/wallet/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"walletTransactionID": "c2213b02e052f60cfb0e4ba4",
"type": "credit",
"companyID": "bf015b00e052f60cfb0e4a0d",
"employeeID": "d210f054bf5b006f50aecbe0",
"contractorID": null,
"bankAccountID": null,
"cardID": null,
"status": "settled",
"description": "Payment",
"gross_amount": 1000,
"partner_fee": 0,
"zeal_fee": 0,
"net_amount": 1000,
"last_four": null,
"date": "2025-08-01T23:00:00.000Z"
},
{
"walletTransactionID": "d21a3b12e051f60cfb014b1d",
"type": "debit",
"companyID": "bf015b00e052f60cfb0e4a0d",
"employeeID": "d210f054bf5b006f50aecbe0",
"contractorID": null,
"bankAccountID": null,
"cardID": "10c313104851406408f4130be0540451",
"status": "settled",
"description": "Instant transfer",
"gross_amount": 102,
"partner_fee": 1,
"zeal_fee": 1,
"net_amount": 100,
"last_four": "0432",
"date": "2025-08-02T23:00:00.000Z"
}
],
"testMode": false
}{}Authorizations
Query Parameters
ID of Company
Zeal employeeID
Zeal contractor ID
Wallet Transaction ID
⌘I
Get Wallet Transactions
